Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 785)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 786)
@@ -48,7 +48,7 @@
 import org.txm.index.core.functions.LineComparator.SortMode;
 import org.txm.index.core.messages.IndexCoreMessages;
 import org.txm.index.core.preferences.IndexPreferences;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.ICqiClient;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -866,7 +866,7 @@
 
 		//long time = System.currentTimeMillis();
 		QueryResult result = corpus.query(pQuery, "index", true); //$NON-NLS-1$
-		boolean isTargetUsed = CQPEngine.getCqiClient().subCorpusHasField(result.getQualifiedCqpId(), ICqiClient.CQI_CONST_FIELD_TARGET);
+		boolean isTargetUsed = CQPSearchEngine.getCqiClient().subCorpusHasField(result.getQualifiedCqpId(), ICqiClient.CQI_CONST_FIELD_TARGET);
 		int nbresults = result.getNMatch();
 		this.nTotalTokens += nbresults; // get number of tokens
 
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 785)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 786)
@@ -41,7 +41,7 @@
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
 /**
@@ -82,7 +82,7 @@
 	@Inject
 	public static IEditorPart openEditor(Object o) {
 		
-		if (!CQPEngine.isInitialized()) {
+		if (!CQPSearchEngine.isInitialized()) {
 			System.out.println("SearchEngine is not ready. Aborting.");
 			return null;
 		}
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 785)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 786)
@@ -140,7 +140,7 @@
 import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.rcp.views.QueriesView;
 import org.txm.rcp.views.corpora.CorporaView;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.ReferencePattern;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -1257,8 +1257,8 @@
 			//System.err.println(Messages.CorporaView_3);
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
 			try {
-				System.out.println(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
-				Log.severe(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+				System.out.println(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
+				Log.severe(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
 			} catch (Exception e2) {
 				System.out.println(ConcordanceUIMessages.ConcordancesEditor_7+e2);
 				org.txm.rcp.utils.Logger.printStackTrace(e1);
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/handlers/BackToText.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/handlers/BackToText.java	(revision 785)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/handlers/BackToText.java	(revision 786)
@@ -52,7 +52,7 @@
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
@@ -130,7 +130,7 @@
 				if (yProperty != null) {
 					wProperty = corpus.getProperty("w");
 					if (wProperty != null) {
-						AbstractCqiClient CQI = CQPEngine.getCqiClient();
+						AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 						int[] cpos = {match.getStart()};
 						hProperty = corpus.getProperty("h");
 						if (hProperty != null) {
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/OriflammsFunction.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/OriflammsFunction.java	(revision 785)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/OriflammsFunction.java	(revision 786)
@@ -11,7 +11,7 @@
 
 import org.txm.Toolbox;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -31,7 +31,7 @@
 	protected Corpus corpus;
 	protected File tsvFile;
 
-	protected AbstractCqiClient CQI = CQPEngine.getCqiClient();
+	protected AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 
 	protected StructuralUnit text_su;
 	protected StructuralUnitProperty text_id;
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/AbbreviationsAndLines.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/AbbreviationsAndLines.java	(revision 785)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/AbbreviationsAndLines.java	(revision 786)
@@ -6,7 +6,7 @@
 
 import org.txm.Toolbox;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -73,7 +73,7 @@
 
 		int[] positions = new int[length];
 		for (int i = 0 ; i < length ; i++) positions[i] = from++;
-		AbstractCqiClient CQI = CQPEngine.getCqiClient();
+		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 
 		String[] abbrNs = CQI.cpos2Str(abbrn.getQualifiedName(), positions);
 		String[] allLetters = CQI.cpos2Str(lettersAll.getQualifiedName(), positions);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/testers/ToolboxTester.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/testers/ToolboxTester.java	(revision 785)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/testers/ToolboxTester.java	(revision 786)
@@ -4,7 +4,7 @@
 import org.txm.Toolbox;
 import org.txm.Toolbox;
 import org.txm.core.engines.EngineType;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 
 /**
  * PropertyTester to check Toolbox states
@@ -30,8 +30,8 @@
 			//System.out.println("TEST: "+property+" = "+Toolbox.getEngineManager(EngineType.STAT).getEngine("R").getState()); //$NON-NLS-1$ //$NON-NLS-2$
 			return Toolbox.getEngineManager(EngineType.STATS).getEngine("R").getState();
 		} else if (PROPERTY_SEARCH_ENGINE_READY.equals(property)) {
-			System.out.println("TEST: "+property+" = "+CQPEngine.isInitialized()); //$NON-NLS-1$ //$NON-NLS-2$
-			return CQPEngine.isInitialized();
+			System.out.println("TEST: "+property+" = "+CQPSearchEngine.isInitialized()); //$NON-NLS-1$ //$NON-NLS-2$
+			return CQPSearchEngine.isInitialized();
 		}
 		
 		return false;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 785)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 786)
@@ -65,7 +65,7 @@
 import org.txm.rcp.utils.GSERunner;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.tokenizer.TokenizerClasses;
@@ -205,7 +205,7 @@
 			}
 		}
 		
-		if (CQPEngine.isInitialized()) Toolbox.getEngineManager(EngineType.SEARCH).stopEngines();
+		if (CQPSearchEngine.isInitialized()) Toolbox.getEngineManager(EngineType.SEARCH).stopEngines();
 		final BaseParameters p = params;
 		JobHandler jobhandler = new JobHandler(TXMUIMessages.RunGroovyScript_0
 				+ script.getAbsolutePath()) { //$NON-NLS-1$
@@ -294,7 +294,7 @@
 					System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8, e));
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				} finally {
-					if (!CQPEngine.isInitialized()) { // the import failed
+					if (!CQPSearchEngine.isInitialized()) { // the import failed
 						monitor.setTaskName("Restarting Toolbox search engine"); //$NON-NLS-1$
 						Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 						
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 785)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 786)
@@ -18,7 +18,7 @@
 import org.eclipse.ui.handlers.IHandlerService;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.views.corpora.CorporaView;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.statsengine.r.core.RStatsEngine;
 import org.txm.statsengine.r.core.messages.RCoreMessages;
 import org.txm.utils.logger.Log;
@@ -58,7 +58,7 @@
 	 * @return true if the corpus engine is available
 	 */
 	public boolean checkCorpusEngine()	{
-		if (!CQPEngine.isInitialized())	{
+		if (!CQPSearchEngine.isInitialized())	{
 			System.out.println("Corpus Engine is not ready, canceling command.");
 			Log.severe("Corpus Engine is not ready, canceling command.");
 			return false;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ComputeIntersection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ComputeIntersection.java	(revision 785)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/ComputeIntersection.java	(revision 786)
@@ -13,7 +13,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CqpObject;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -58,7 +58,7 @@
 		String id2 = subcorpora.get(1).getQualifiedCqpId();
 		String cqpid = CqpObject.subcorpusNamePrefix + Corpus.getNextSubcorpusCounter();
 		String command = "inter";
-		AbstractCqiClient CQI = CQPEngine.getCqiClient();
+		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 
 		//TODO: finish the command
 		
Index: tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java
===================================================================
--- tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java	(revision 785)
+++ tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java	(revision 786)
@@ -41,7 +41,7 @@
 import org.txm.concordance.core.functions.Line;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
@@ -131,7 +131,7 @@
 					int leftPosition = Math.max(keywordPosition - line.getConcordance().getLeftContextSize(), 0);
 					int rightPosition = Math.min(keywordPosition + line.getConcordance().getRightContextSize(), corpus.getSize());
 					int[] positions = {leftPosition, rightPosition};
-					String[] times = CQPEngine.getCqiClient().cpos2Str(timeP.getQualifiedName(), positions);
+					String[] times = CQPSearchEngine.getCqiClient().cpos2Str(timeP.getQualifiedName(), positions);
 					sStartTime = times[0];
 					sEndTime = times[1];
 				} else {
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 785)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 786)
@@ -98,7 +98,7 @@
 		return state;
 	}
 
-	private static boolean fetchEngineManagers() {
+	private static boolean fetchEnginesManagers() {
 		Log.finest("Fetching engines managers...");
 		enginesManagers.clear();
 		//System.out.println("Contributions of "+EnginesManager.ENGINEMANAGER_EXTENSION_POINT_ID);
@@ -112,7 +112,7 @@
 			try {
 				EnginesManager<?> enginesManager = (EnginesManager<?>)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 
-				Log.finest("Registering engines manager: " + enginesManager);
+				Log.finest("Registering " + enginesManager.getEnginesDescription() + " engines manager: " + enginesManager + "...");
 				
 				if (enginesManager.fetchEngines()) {
 					//System.out.println("add engine: "+engine);
@@ -226,7 +226,7 @@
 			state = startWorkspace(monitor);
 
 
-			Log.warning("Initializing logger");
+			Log.warning("Initializing logger...");
 			Log.setLevel(Level.parse(TXMPreferences.getString(TBXPreferences.LOG_LEVEL, TBXPreferences.PREFERENCES_NODE)));
 			Log.setPrintInConsole(TXMPreferences.getBoolean(TBXPreferences.ADD_TECH_LOGS, TBXPreferences.PREFERENCES_NODE));
 
@@ -523,7 +523,7 @@
 
 	private static boolean startsEngineManagers(IProgressMonitor monitor) {
 
-		fetchEngineManagers();
+		fetchEnginesManagers();
 
 		Log.info("Starting " + enginesManagers.keySet().size() + " engines managers...");
 
Index: tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 785)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 786)
@@ -12,14 +12,16 @@
  * The Toolbox will manage the engines life-cycle. 
  * 
  * @author mdecorde
+ * @author sjacquot
  *
  */
 public abstract class EnginesManager<T extends Engine> {
 	
+	
 	public static final String ENGINES_MANAGER_EXTENSION_POINT_ID = EnginesManager.class.getName();
 	
 	/**
-	 * Managed engines.
+	 * Managed engines map (name => engine).
 	 */
 	protected HashMap<String, T> engines = new HashMap<String, T>();
 	
@@ -32,31 +34,6 @@
 	
 	
 	/**
-	 * Returns the current engine.
-	 * @return
-	 */
-	public T getCurrentEngine() {
-		return this.currentEngine;
-	}
-	
-	
-	/**
-	 * Sets the current engine.
-	 * @param engine
-	 */
-	public void setCurrentEngine(T engine)	{
-		this.currentEngine = engine;
-	}
-	
-	/**
-	 * Sets the current engine specified by its name.
-	 * @param name
-	 */
-	public void setCurrentEngine(String name)	{
-		this.setCurrentEngine(this.getEngine(name));
-	}
-	
-	/**
 	 * Finds out the engines that matches this manager engines extension point.
 	 * 
 	 * @return
@@ -66,7 +43,7 @@
 	
 	
 	/**
-	 * Creates and initializes the engines with the specified extension point id.
+	 * Creates and initializes the engines from contributions with the specified extension point id.
 	 * 
 	 * @param engineExtensionPointId
 	 * @return true if at least one engine has been created otherwise false
@@ -75,8 +52,8 @@
 
 		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor(engineExtensionPointId);
 
-		Log.finest("Looking for engines contributions with extension point id " + engineExtensionPointId + "."); //$NON-NLS-1$
-		Log.finest(contributions.length + " engines found."); //$NON-NLS-1$
+		Log.finest("Looking for " + this.getEnginesDescription() + " engines contributions with extension point id " + engineExtensionPointId + "."); //$NON-NLS-1$
+		Log.finest(contributions.length + " engine(s) found."); //$NON-NLS-1$
 		
 		for (int i = 0; i < contributions.length; i++) {
 			try {
@@ -107,7 +84,7 @@
 	public boolean startEngines(IProgressMonitor monitor) {
 		for (Engine engine : this.engines.values()) {
 			
-			String log = "Starting " + engine.getName() + " engine...";
+			String log = "Starting " + this.getEnginesDescription() + " engine: " + engine.getName() + "...";
 			Log.info(log);
 			
 			if (monitor != null) {
@@ -131,12 +108,12 @@
 	public boolean stopEngines() {
 		for (Engine engine : this.engines.values()) {
 			
-			Log.finest("Stopping " + engine.getName() + " engine..."); //$NON-NLS-1$
+			Log.finest("Stopping " + this.getEnginesDescription() + " engine: " + engine.getName() + "..."); //$NON-NLS-1$
 			
 			try {
 				engine.stop();
 			} catch (Exception e) {
-				Log.severe("Error: failed to stop engine: " + engine.getName() + ".");
+				Log.severe("Error: failed to stop engine " + engine.getName() + ".");
 				e.printStackTrace();
 			}
 		}
@@ -150,14 +127,27 @@
 	 * @return
 	 */
 	public boolean restartEngines() {
-		Log.finest("Restarting " + this.engines.size() + " engine(s)."); //$NON-NLS-1$
+		Log.finest("Restarting " + this.engines.size() + " " + this.getEnginesDescription() + " engine(s)."); //$NON-NLS-1$
 		return stopEngines() && startEngines(null);
 	}
 	
-	
+	/**
+	 * Gets the engine type that this manager supports.
+	 * @return the engine type that this manager supports
+	 */
 	public abstract EngineType getEnginesType();
 	
+	
 	/**
+	 * Gets the engine description that this manager supports.
+	 * @return the engine description that this manager supports
+	 */
+	public String getEnginesDescription()	{
+		return this.getEnginesType().getDescription();
+	}
+	
+	
+	/**
 	 * Gets the available engines. 
 	 * @return the available engines
 	 */
@@ -173,4 +163,32 @@
 	public T getEngine(String name) {
 		return engines.get(name);
 	}
+	
+	/**
+	 * Returns the current engine.
+	 * @return
+	 */
+	public T getCurrentEngine() {
+		return this.currentEngine;
+	}
+	
+	
+	/**
+	 * Sets the current engine.
+	 * @param engine
+	 */
+	public void setCurrentEngine(T engine)	{
+		Log.info("Setting current " + this.getEnginesDescription() + " engine to " + engine + ".");
+		this.currentEngine = engine;
+	}
+	
+	/**
+	 * Sets the current engine specified by its name.
+	 * @param name
+	 */
+	public void setCurrentEngine(String name)	{
+		this.setCurrentEngine(this.getEngine(name));
+	}
+	
+
 }
Index: tmp/org.txm.core/src/java/org/txm/core/engines/EngineType.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/EngineType.java	(revision 785)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/EngineType.java	(revision 786)
@@ -1,9 +1,40 @@
 package org.txm.core.engines;
 
+/**
+ * Engine types.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+// FIXME: the description (and name) of the engine should be done in extensions points as for the charts engine, it would be better and not break the plugins modularity
 public enum EngineType {
-	SEARCH,
-	STATS,
-	CHARTS,
-	SCRIPT,
-	ANNOTATION;
+	
+	SEARCH("search"),
+	STATS("statistics"),
+	CHARTS("charts"),
+	SCRIPT("scripts"),
+	ANNOTATION("annotations");
+
+	/**
+	 * Description.
+	 */
+	final private String description;
+
+	/**
+	 * 
+	 * @param description
+	 */
+	private EngineType(String description) {
+		this.description = description;
+	}
+
+	/**
+	 * Gets the description of the type.
+	 * @return
+	 */
+	public String getDescription() {
+		return this.description;
+	}
+
 }
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 785)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 786)
@@ -14,7 +14,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.internalview.core.messages.InternalViewCoreMessages;
 import org.txm.internalview.core.preferences.InternalViewPreferences;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -262,7 +262,7 @@
 				String str = InternalViewCoreMessages.InternalView_3;
 				for (Property sup : structuralUnitsProperties) {
 					int[] array = {getCurrentPage()};
-					str += " "+sup.getName()+"="+CQPEngine.getCqiClient().struc2Str(sup.getQualifiedName(), array)[0]; //$NON-NLS-1$ //$NON-NLS-2$
+					str += " "+sup.getName()+"="+CQPSearchEngine.getCqiClient().struc2Str(sup.getQualifiedName(), array)[0]; //$NON-NLS-1$ //$NON-NLS-2$
 				}
 				return str;
 			}
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 785)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 786)
@@ -14,7 +14,7 @@
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.NetCqiClient;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -155,7 +155,7 @@
 				}
 			}
 			else {
-				AbstractCqiClient CQI = CQPEngine.getCqiClient();
+				AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 				if (CQI instanceof NetCqiClient) {
 					System.out.println("Error: CQP eval method only available with CQP memory mode");
 					return false;
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportToGlozz1_0_0Macro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportToGlozz1_0_0Macro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportToGlozz1_0_0Macro.groovy	(revision 786)
@@ -54,7 +54,7 @@
 public void doExport(MainCorpus corpus, String unit_type, String filename) {
 
 	size = corpus.getSize() // you may also use: corpus.getTextEndLimits() (= index of last token = size-1)
-	CQI = CQPEngine.getCqiClient()
+	CQI = CQPSearchEngine.getCqiClient()
 	word = corpus.getWordProperty()
 	// note: using "lbn" seems to work better than "pn" (some imported corpora are missing this information)
 	//pn = corpus.getProperty("pn")
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportToGlozz1_1_0Macro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportToGlozz1_1_0Macro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportToGlozz1_1_0Macro.groovy	(revision 786)
@@ -36,7 +36,7 @@
 // GLOBAL VARIABLES
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 
 // CHECK CORPUS
 
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportToGlozzMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportToGlozzMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportToGlozzMacro.groovy	(revision 786)
@@ -54,7 +54,7 @@
 public void doExport(MainCorpus corpus, String unit_type, String filename) {
 
 	size = corpus.getSize() // you may also use: corpus.getTextEndLimits() (= index of last token = size-1)
-	CQI = CQPEngine.getCqiClient()
+	CQI = CQPSearchEngine.getCqiClient()
 	word = corpus.getWordProperty()
 	// note: using "lbn" seems to work better than "pn" (some imported corpora are missing this information)
 	//pn = corpus.getProperty("pn")
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Fropos2CategorieMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Fropos2CategorieMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Fropos2CategorieMacro.groovy	(revision 786)
@@ -77,7 +77,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 posProperty = corpus.getProperty(pos_property_name)
 if (posProperty == null) {
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Frpos2CategorieDemocratMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Frpos2CategorieDemocratMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Frpos2CategorieDemocratMacro.groovy	(revision 786)
@@ -172,7 +172,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 posProperty = corpus.getProperty(pos_property_name)
 if (posProperty == null) {
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Si2SingletonMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Si2SingletonMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Si2SingletonMacro.groovy	(revision 786)
@@ -33,7 +33,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 analecCorpus = AnalecCorpora.getCorpus(corpus.getName())
 vue = AnalecCorpora.getVue(corpus.getName())
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Frpos2CattexMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Frpos2CattexMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Frpos2CattexMacro.groovy	(revision 786)
@@ -178,7 +178,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 posProperty = corpus.getProperty(pos_property_name)
 if (posProperty == null) {
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/PROPERanaphoriquesMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/PROPERanaphoriquesMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/PROPERanaphoriquesMacro.groovy	(revision 786)
@@ -41,7 +41,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 posProperty = corpus.getProperty(pos_property_name)
 if (posProperty == null) {
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Frpos2CategorieMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Frpos2CategorieMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Frpos2CategorieMacro.groovy	(revision 786)
@@ -172,7 +172,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 posProperty = corpus.getProperty(pos_property_name)
 if (posProperty == null) {
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/AccessibiliteMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/AccessibiliteMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/AccessibiliteMacro.groovy	(revision 786)
@@ -43,7 +43,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 
 analecCorpus = AnalecCorpora.getCorpus(corpus.getName())
 vue = AnalecCorpora.getVue(corpus.getName())
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Fropos2CattexMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Fropos2CattexMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/Fropos2CattexMacro.groovy	(revision 786)
@@ -165,7 +165,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 posProperty = corpus.getProperty(pos_property_name)
 if (posProperty == null) {
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/RetoucheComplementDuNomMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/RetoucheComplementDuNomMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/RetoucheComplementDuNomMacro.groovy	(revision 786)
@@ -38,7 +38,7 @@
 if (!ParametersDialog.open(this)) return
 
 	corpus = corpusViewSelection.getMainCorpus()
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 
 analecCorpus = AnalecCorpora.getCorpus(corpus.getName())
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/LongueurDesMentionsMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/LongueurDesMentionsMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/LongueurDesMentionsMacro.groovy	(revision 786)
@@ -60,7 +60,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 posProperty = corpus.getProperty(pos_property_name)
 if (posProperty == null) {
